%define major 0
%define libname %mklibname audit %{major}
%define develname %mklibname -d audit
%define staticdevelname %mklibname -d -s audit

Summary:	User-space tools for Linux 2.6 kernel auditing
Name:		audit
Version:	1.7.13
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Base
URL:		http://people.redhat.com/sgrubb/audit/
Source0:	http://people.redhat.com/sgrubb/audit/audit-%{version}.tar.gz
Patch0:		audit-1.6.1-desktopfile.patch
Patch1:		audit-1.6.1-sendmail.patch
Patch2:		audit-1.7.12-lsb-headers.patch
# Fedora patches
# Handle audit=0 boot option for 2.6.29 kernel
# (RH Bug 487541 -  auditd hangs if booted with audit=0)
#Patch101: audit-1.8-noaudit.patch
# Drop some debug code in libev
Patch102: audit-1.7.12-libev.patch
# move audit.py file to arch specific python dir
#Patch103: audit-swig.patch

# need proper kernel headers
BuildRequires:	gettext-devel
BuildRequires:	glibc-devel >= 2.6
BuildRequires:	intltool
BuildRequires:	krb5-devel
BuildRequires:	libtool
BuildRequires:	openldap-devel
BuildRequires:	prelude-devel >= 0.9.16
BuildRequires:	swig
BuildRequires:	tcp_wrappers-devel
Requires(preun): rpm-helper
Requires(post): rpm-helper
# has the mandriva-simple-auth pam config file we link to
Requires:	usermode-consoleonly >= 1.92-4
Requires:	tcp_wrappers
Conflicts:	audispd-plugins < 1.7.11
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The audit package contains the user space utilities for storing and searching
the audit records generate by the audit subsystem in the Linux 2.6 kernel.

%package -n	%{libname}
Summary:	Main libraries for %{name}
Group:		System/Libraries

%description -n	%{libname}
This package contains the main libraries for %{name}.

%package -n	system-config-audit
Summary:	Audit GUI configuration tool
Group:		System/Base
Obsoletes:	lib%{name}-common < 1.6.1
# moved some files from there to here
Conflicts:	%{name} < 1.6.1
Requires:	python-audit
Requires:	pygtk2.0-libglade
Requires:	audit
Requires:	usermode-consoleonly >= 1.92-4
%py_requires -d

%description -n	system-config-audit
This package contains a GUI for configuring the Audit system.

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	libaudit-devel = %{version}-%{release}
Provides:	audit-devel = %{version}-%{release}
Provides:	audit-libs-devel = %{version}-%{release}
Obsoletes:	%{mklibname audit 0 -d}

%description -n	%{develname}
This package contains development files for %{name}.

%package -n	%{staticdevelname}
Summary:	Static libraries for %{name}
Requires:	%{develname} = %{version}
Group:		Development/C
Provides:	audit-static-devel = %{version}-%{release}
Provides:	audit-libs-static-devel = %{version}-%{release}
Obsoletes:	%{mklibname audit 0 -d -s}

%description -n	%{staticdevelname}
This package contains static libraries for %{name} used for
development.

%package -n	python-audit
Summary:	Python bindings for %{name}
Group:		Development/Python

%description -n	python-audit
This package contains python bindings for %{name}.

%package -n	audispd-plugins
Summary:	Plugins for the audit event dispatcher
Group:		System/Base
Requires:	%{name} = %{version}
Requires:	%{libname} = %{version}
Requires:	openldap

%description -n	audispd-plugins
The audispd-plugins package provides plugins for the real-time interface to the
audit system, audispd. These plugins can do things like relay events to remote
machines or analyze events for suspicious behavior.

%prep

%setup -q
%patch0 -p1 -b .misc
%patch1 -p1
%patch2 -p1
#%patch101 -p2
%patch102 -p1
#%patch103 -p1


find -type d -name ".libs" | xargs rm -rf

%build
%serverbuild

%configure2_5x \
    --sbindir=/sbin \
    --libdir=/%{_lib} \
    --with-apparmor \
    --with-prelude \
    --with-libwrap \
    --enable-gssapi-krb5 \
    --libexecdir=%{_sbindir}

%make

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_var}/log/audit
install -d %{buildroot}%{_libdir}/audit

%makeinstall_std

pushd system-config-audit
    %makeinstall_std install-fedora
popd

%find_lang system-config-audit

# uneeded files
rm -f %{buildroot}%{py_platsitedir}/*.{a,la}

# let's use our own pam config
rm -f %{buildroot}%{_sysconfdir}/pam.d/system-config-audit-server
ln -s %{_sysconfdir}/pam.d/mandriva-simple-auth \
        %{buildroot}%{_sysconfdir}/pam.d/system-config-audit-server

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%post
%_post_service auditd

%preun
%_preun_service auditd

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README COPYING contrib/capp.rules contrib/nispom.rules contrib/lspp.rules contrib/stig.rules init.d/auditd.cron
%{_initrddir}/auditd
%attr(0750,root,root) %dir %{_sysconfdir}/audit
%attr(0750,root,root) %dir %{_sysconfdir}/audisp
%attr(0750,root,root) %dir %{_sysconfdir}/audisp/plugins.d
%attr(0750,root,root) %dir %{_libdir}/audit
%config(noreplace) %attr(0640,root,root) %{_sysconfdir}/audit/auditd.conf
%config(noreplace) %attr(0640,root,root) %{_sysconfdir}/audit/audit.rules
%config(noreplace) %attr(0640,root,root) %{_sysconfdir}/sysconfig/auditd
%config(noreplace) %attr(0640,root,root) %{_sysconfdir}/audisp/audispd.conf
%config(noreplace) %attr(0640,root,root) %{_sysconfdir}/audisp/plugins.d/af_unix.conf
%config(noreplace) %attr(0640,root,root) %{_sysconfdir}/audisp/plugins.d/syslog.conf
%attr(0750,root,root) /sbin/audispd
%attr(0750,root,root) /sbin/auditctl
%attr(0750,root,root) /sbin/auditd
%attr(0750,root,root) /sbin/autrace
%attr(0755,root,root) /sbin/aureport
%attr(0755,root,root) /sbin/ausearch
%attr(0755,root,root) %{_bindir}/aulastlog
%attr(0755,root,root) %{_bindir}/aulast
%attr(0755,root,root) %{_bindir}/ausyscall
%attr(0644,root,root) %{_mandir}/man5/audispd.conf.5*
%attr(0644,root,root) %{_mandir}/man5/auditd.conf.5*
%attr(0644,root,root) %{_mandir}/man5/ausearch-expression.5*
%attr(0644,root,root) %{_mandir}/man8/audispd.8*
%attr(0644,root,root) %{_mandir}/man8/auditctl.8*
%attr(0644,root,root) %{_mandir}/man8/auditd.8*
%attr(0644,root,root) %{_mandir}/man8/aulast.8*
%attr(0644,root,root) %{_mandir}/man8/aulastlog.8*
%attr(0644,root,root) %{_mandir}/man8/aureport.8*
%attr(0644,root,root) %{_mandir}/man8/ausearch.8*
%attr(0644,root,root) %{_mandir}/man8/ausyscall.8*
%attr(0644,root,root) %{_mandir}/man8/autrace.8*
%attr(0700,root,root) %dir %{_var}/log/audit

%files -n system-config-audit -f system-config-audit.lang
%defattr(-,root,root)
%doc system-config-audit/README system-config-audit/NEWS
%doc system-config-audit/COPYING system-config-audit/AUTHORS
%config(noreplace) %{_sysconfdir}/pam.d/system-config-audit-server
%config(noreplace) %{_sysconfdir}/security/console.apps/system-config-audit-server
%{_datadir}/applications/system-config-audit.desktop
%{_datadir}/system-config-audit/
%{_bindir}/system-config-audit
%{_sbindir}/system-config-audit-server-real
%{_sbindir}/system-config-audit-server

%files -n %{libname}
%defattr(-,root,root)
%config(noreplace) %attr(0640,root,root) %{_sysconfdir}/libaudit.conf
/%{_lib}/lib*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%doc ChangeLog contrib/skeleton.c contrib/plugin
/%{_lib}/lib*.so
/%{_lib}/lib*.la
%{_includedir}/*
%{_mandir}/man3/*

%files -n %{staticdevelname}
%defattr(-,root,root)
/%{_lib}/lib*.a

%files -n python-audit
%defattr(-,root,root)
%{py_platsitedir}/*.so
%{py_platsitedir}/audit.p*

%files -n audispd-plugins
%defattr(-,root,root,-)
%config(noreplace) %attr(0640,root,root) %{_sysconfdir}/audisp/audisp-prelude.conf
%config(noreplace) %attr(0640,root,root) %{_sysconfdir}/audisp/audisp-remote.conf
%config(noreplace) %attr(0640,root,root) %{_sysconfdir}/audisp/plugins.d/audispd-zos-remote.conf
%config(noreplace) %attr(0640,root,root) %{_sysconfdir}/audisp/plugins.d/au-prelude.conf
%config(noreplace) %attr(0640,root,root) %{_sysconfdir}/audisp/plugins.d/au-remote.conf
%config(noreplace) %attr(0640,root,root) %{_sysconfdir}/audisp/zos-remote.conf
%attr(0750,root,root) /sbin/audispd-zos-remote
%attr(0750,root,root) /sbin/audisp-prelude
%attr(0750,root,root) /sbin/audisp-remote
%attr(0644,root,root) %{_mandir}/man5/audisp-prelude.conf.5*
%attr(0644,root,root) %{_mandir}/man5/audisp-remote.conf.5*
%attr(0644,root,root) %{_mandir}/man5/zos-remote.conf.5*
%attr(0644,root,root) %{_mandir}/man8/audispd-zos-remote.8*
%attr(0644,root,root) %{_mandir}/man8/audisp-prelude.8*
%attr(0644,root,root) %{_mandir}/man8/audisp-remote.8*


%changelog
* Mon Jul 27 2009 Emmanuel Andry <eandry@mandriva.org> 1.7.13-1mdv2010.0
+ Revision: 400832
- New version 1.7.13
- drop p101 and p103 (merged upstream)
- check major

* Mon Apr 06 2009 Frederik Himpe <fhimpe@mandriva.org> 1.7.12-3mdv2009.1
+ Revision: 364560
- Add LSB headers to init script (bug #49587)
- Add Fedora patches:
  * Handle audit=0 boot option for 2.6.29 kernel (RH Bug 487541)
  * Drop some debug code in libev
  * Move audit.py file to arch specific python dir

* Thu Feb 26 2009 Oden Eriksson <oeriksson@mandriva.com> 1.7.12-1mdv2009.1
+ Revision: 345019
- 1.7.12
- sync with the bundled spec file

* Sun Jan 11 2009 Oden Eriksson <oeriksson@mandriva.com> 1.7.11-1mdv2009.1
+ Revision: 328322
- 1.7.11
- drop P2, it's fixed upstream

* Fri Dec 26 2008 Funda Wang <fundawang@mandriva.org> 1.7.10-2mdv2009.1
+ Revision: 319212
- rebuild for new python

* Sat Dec 20 2008 Oden Eriksson <oeriksson@mandriva.com> 1.7.10-1mdv2009.1
+ Revision: 316500
- 1.7.10
- drop one redundant patch
- fix build with -Werror=format-security (P2)

* Thu Nov 06 2008 Oden Eriksson <oeriksson@mandriva.com> 1.7.9-1mdv2009.1
+ Revision: 300182
- 1.7.9

* Thu Oct 23 2008 Oden Eriksson <oeriksson@mandriva.com> 1.7.8-1mdv2009.1
+ Revision: 296652
- 1.7.8

* Thu Sep 18 2008 Oden Eriksson <oeriksson@mandriva.com> 1.7.7-1mdv2009.0
+ Revision: 285646
- 1.7.7 (Major bugfixes)
- drop upstream implemented patches

* Sat Sep 13 2008 Oden Eriksson <oeriksson@mandriva.com> 1.7.6-2mdv2009.0
+ Revision: 284587
- remove the _disable_ld_as_needed workaround, it's fixed in P5

* Sat Sep 13 2008 Oden Eriksson <oeriksson@mandriva.com> 1.7.6-1mdv2009.0
+ Revision: 284451
- use _disable_ld_as_needed because auditd won't link
  against -lwrap otherwise
- added one security fix from svn (P4)

* Fri Sep 12 2008 Oden Eriksson <oeriksson@mandriva.com> 1.7.6-0.1mdv2009.0
+ Revision: 284213
- 1.7.6, enables tcp_wrappers support but don't
  link it in for some reason...
- misc spec file fixes

* Tue Aug 26 2008 Oden Eriksson <oeriksson@mandriva.com> 1.7.5-1mdv2009.0
+ Revision: 276119
- 1.7.5

* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.7.3-3mdv2009.0
+ Revision: 267862
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon May 19 2008 Oden Eriksson <oeriksson@mandriva.com> 1.7.3-1mdv2009.0
+ Revision: 209147
- 1.7.3
- drop upstream applied patches
- 1.7.2
- sync with fedora (audit-1.7.2-6.fc9.src.rpm)

* Sat Apr 12 2008 Oden Eriksson <oeriksson@mandriva.com> 1.6.8-1mdv2009.0
+ Revision: 192614
- P2: security fix for CVE-2008-1628

* Thu Feb 14 2008 Oden Eriksson <oeriksson@mandriva.com> 1.6.8-1mdv2008.1
+ Revision: 168666
- 1.6.8

* Fri Feb 01 2008 Oden Eriksson <oeriksson@mandriva.com> 1.6.7-1mdv2008.1
+ Revision: 161092
- 1.6.7
- dropped P2, it's implemented upstream
- added the prelude support (plugins should be broken out)

* Fri Jan 11 2008 Andreas Hasenack <andreas@mandriva.com> 1.6.5-2mdv2008.1
+ Revision: 148491
- rebuild to force re-upload

* Tue Jan 08 2008 Andreas Hasenack <andreas@mandriva.com> 1.6.5-1mdv2008.1
+ Revision: 146739
- updated to version 1.6.5

* Thu Jan 03 2008 Andreas Hasenack <andreas@mandriva.com> 2mdv2008.1-current
+ Revision: 142635
- fix log file permissions check

* Thu Jan 03 2008 Andreas Hasenack <andreas@mandriva.com> 1.6.4-1mdv2008.1
+ Revision: 142477
- updated to version 1.6.4
- imported Oden's changes:
  - new plugin package
  - am_cflags patch
  - spec cleanup
  - openldap-devel buildrequires

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Sep 25 2007 Andreas Hasenack <andreas@mandriva.com> 1.6.1-5mdv2008.0
+ Revision: 92698
- fixed "config file too large" on x86_64 (#33891)
- added some missing requires for system-config-audit

* Mon Sep 24 2007 Andreas Hasenack <andreas@mandriva.com> 1.6.1-4mdv2008.0
+ Revision: 92509
- change menu icon (#33920)
- fix sendmail check (#33891)

* Fri Sep 21 2007 Andreas Hasenack <andreas@mandriva.com> 1.6.1-3mdv2008.0
+ Revision: 92101
- fixed menu (#33868)
- fixed duplicated lang entry (#33874)

* Fri Sep 21 2007 David Walluck <walluck@mandriva.org> 1.6.1-2mdv2008.0
+ Revision: 92084
- add some devel provides for fc compat
- use %%{configure2_5x} and %%{makeinstall_std}

* Tue Sep 18 2007 Andreas Hasenack <andreas@mandriva.com> 1.6.1-1mdv2008.0
+ Revision: 89849
- updated to version 1.6.1
- obey new library policy (unversioned devel)
- properly package system-config-audit GUI

* Sun Sep 16 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.5.6-4mdv2008.0
+ Revision: 87792
- fix system-config-audit starting (#33354)

* Mon Aug 13 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.5.6-3mdv2008.0
+ Revision: 62632
- add missing requires for python module (#32503)

* Fri Aug 10 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.5.6-2mdv2008.0
+ Revision: 61460
- run %%find_lang in %%install
- package missing files
- create libaudit-common sub package
- add missing buildrequires
- new release
- fix build
- new devel policy

  + Andreas Hasenack <andreas@mandriva.com>
    - buildrequires glibc-devel which has the needed headers
    - updated to version 1.5.4
    - fixed group
    - fixed requires
    - fixer provides
    - Import audit

